Cocoonjs crash update 179 (beta) construct 2

Bugs will be moved here once resolved.

Post » Sat Sep 06, 2014 2:17 am

Problem Description
I update my construct to 179, i am developing my game with cocoonjs plugins, my project open, but when i try to preview it, i always crash, and sometimes just loading the cap, make it crash. i khow this is a beta, and bugs will happen, and cocoonjs will not be fully soported anymore it just i was about to finish my game and want to khow if there is a workaround! i am using the cocoonjs plugin for the github, it saids something is missing, but i am not quite a skilfull programmer

---------------------------
Construct 2 Check failure
---------------------------
Check failure! This is probably a bug:

Dependency file appears to be missing

Condition: FileExists(*i)
File: html5.cpp
Line: 1223
Function: void __cdecl Exporter::DoExport(class era::IProject *,class era::ILayout *,bool,struct HWND__ *,bool,bool)
Build: release 179 (64-bit) checked
Component: HTML5 exporter
(Last Win32 error: 2)

You are using a 'checked' release of Construct 2, intended for testing, which causes certain errors to be reported this way. Hit Ctrl+C to copy this messagebox - it's useful information for the developers, so please include it with any bug reports! Click 'Abort' to quit (unsaved data will be lost!),'Retry' to turn off messages for this session and continue, or 'Ignore' to continue normally.
---------------------------
Anular Reintentar Omitir
---------------------------

thanks in advance
B
9
S
2
Posts: 15
Reputation: 555

Post » Sat Sep 06, 2014 3:08 am

It is a bug cocoonjs and it won't be addressed. I think you missed the announcement in r179 download page that cocoonjs support is depreciated. You might want to consider looking at other export option because nobody will get anywhere with this situation.
B
28
S
8
G
4
Posts: 553
Reputation: 4,924

Post » Sat Sep 06, 2014 5:39 am

Thanks for answering, and i did read it, but i really was hoping just to finish that proyect :( anyway thanks
B
9
S
2
Posts: 15
Reputation: 555

Post » Sat Sep 06, 2014 12:35 pm

If you really wish to keep using CJS for now, it may be worth downgrading C2 to r173. I think this is the latest version tested by Ludei with their plugin available on GitHub.
Image Image Image
B
82
S
21
G
8
Posts: 163
Reputation: 11,516

Post » Sat Sep 06, 2014 5:18 pm

Thanks roberto, i was thinking in downgrading, but also thinking in futures updates of the app, i will be forced to stay in old versions, and in terms of stabilitiy it makes me afraid, specially considering performance in mobile devices!! i guess i have not many options anyways!! i really havent test crosswalk, but as far i have read it got many problems by itself, and i dont khow if a can add ads in crosswalk without wrapper, or connect to google services for leaderboard and achievements, all of that i already get it working with cocoonjs!
B
9
S
2
Posts: 15
Reputation: 555

Post » Sat Sep 06, 2014 11:33 pm

I am getting this exact same error and am using crosswalk
B
50
S
22
G
14
Posts: 174
Reputation: 10,842

Post » Tue Sep 09, 2014 2:11 pm

Closing, can't reproduce - I can export Space Blaster to CocoonJS without seeing that error. It looks like it is caused by a third party plugin that has been incorrectly installed and is missing one of its dependency files. Note we cannot support bug reports relating to third party plugins.

CocoonJS support is deprecated but if there is any obvious breakage on our part then we will at least briefly look in to it as to not cause unwarranted difficulty, but since the original post does not follow the bug report guidelines then there is nothing I can do.
Scirra Founder
B
398
S
236
G
88
Posts: 24,428
Reputation: 194,625


Return to Closed bugs

Who is online

Users browsing this forum: No registered users and 6 guests